package com.adealink.weparty.module.activity

import com.adealink.frame.aab.BaseDynamicModule
import com.adealink.weparty.R

object ActivityModule : BaseDynamicModule<IActivityService>(IActivityService::class),
    IActivityService {

    override val featureName: String
        get() = "activity"

    override val moduleNameResId: Int
        get() = R.string.module_activity

    override fun emptyService(): IActivityService {
        return object : IActivityService {

            override fun getService(): IActivityService? {
                return null
            }

            override fun logout() {

            }
        }
    }

    override fun logout() {
        getService().logout()
    }
}